Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class Constraint

    java.lang.Object
      |
      +--kodo.jdbc.schema.ReferenceCounter
            |
            +--kodo.jdbc.schema.Constraint

Direct Known Subclasses:
  ForeignKey, Index, PrimaryKey

public abstract class Constraint
extends kodo.jdbc.schema.ReferenceCounter

A table constraint. This class is closely aligned with the constraint information available from `DatabaseMetaData`.

Method Summary
`void` | `deref()`
`String` | `getColumnName()` Return the column's name.
`String` | `getFullName()` Return the full name of the constraint, in the form <table>.<name>
`String` | `getName()` Return the name of the constraint.
`int` | `getRefCount()`
`String` | `getSchemaName()` Return the column table's schema name.
`Table` | `getTable()` Return the table of this constraint.
`String` | `getTableName()` Return the column's table name.
`boolean` | `isDeferred()` Return true if this is a deferred constraint.
`abstract boolean` | `isLogical()` Return whether this constraint is a logical constraint only; i.e.
`void` | `ref()`
`void` | `setColumnName(String name)` Set the column's name.
`void` | `setDeferred(boolean deferred)` Make this constrain deferred.
`void` | `setName(String name)` Set the name of the constraint.
`void` | `setSchemaName(String schema)` Set the column table's schema name.
`void` | `setTableName(String name)` Set the column's table name.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTable

    public Table getTable()

  Return the table of this constraint.

### getTableName

    public String getTableName()

  Return the column's table name.

### setTableName

    public void setTableName(String name)

  Set the column's table name. You can only call this method on columns whose table object is not set.

### getSchemaName

    public String getSchemaName()

  Return the column table's schema name.

### setSchemaName

    public void setSchemaName(String schema)

  Set the column table's schema name. You can only call this method on columns whose tbale object is not set.

### getColumnName

    public String getColumnName()

  Return the column's name.

### setColumnName

    public void setColumnName(String name)

  Set the column's name. You can only call this method on columns whose table object is not set.

### getName

    public String getName()

  Return the name of the constraint.

### setName

    public void setName(String name)

  Set the name of the constraint. This method cannot be called if the constraint already belongs to a table.

### getFullName

    public String getFullName()

  Return the full name of the constraint, in the form <table>.<name>

### isLogical

    public abstract boolean isLogical()

  Return whether this constraint is a logical constraint only; i.e. if it does not exist in the database.

### isDeferred

    public boolean isDeferred()

  Return true if this is a deferred constraint.

### setDeferred

    public void setDeferred(boolean deferred)

  Make this constrain deferred.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getRefCount

    public int getRefCount()

### ref

    public void ref()

### deref

    public void deref()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.